<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<ooNotepadSyntax version="1">
    <Lexer name="Hitachi asm" value="3" filemask="*.s20">
        <State name="Default" value="0" />
        <State name="Comment" value="1,2,3,15,17,18" />
        <State name="Number" value="4" />
        <State name="Keyword" value="5,16" />
        <State name="String" value="6,12" />
        <State name="Character" value="7" />
        <State name="UUID" value="8" />
        <State name="Preprocessor" value="9" />
        <State name="Operator" value="10" />
    </Lexer>
    <KeyWords>
        <keyword value="0">
            <![CDATA[ADD ADDS ADDX AND ANDC 
                                       BAND BCLR BIAND BILD BIOR BIST BIXOR BLD BNOT BOR BSET BSR BST BTST BXOR
                                       BRA BT BF BHI BLS BCC BHS BCS BLO BNE BEQ BVC BVS BPL BMI BGE BLT BGT BLE 
                                       CMP 
                                       DAA DAS DEC DIVXS DIVXU DS DC
                                       EEPMOV EXTS EXTU 
                                       INC
                                       JMP JSR
                                       LDC
                                       MOV MOVFPE MULXS MULXU 
                                       NEG NOP NOT 
                                       OR ORC
                                       POP PUSH 
                                       ROTL ROTR ROTXL ROTXR RTE RTS
                                       SHAL SHAR SHLL SHLR SLEEP STC SUB SUBS SUBX 
                                       TRAPA 
                                       XOR XORC
                                       END PUBLIC EXTERN CASEON RSEG
                                       ]]>
</keyword>
    </KeyWords>
</ooNotepadSyntax>
